from typing import List


def print_image_with_proba(image_names: List[str], probabilities: List[float]) -> None:
    for image_name, proba in zip(image_names, probabilities):
        print(f' - {image_name} has a proba of {proba} to be a cat')


if __name__ == '__main__':
    _image_names, _probabilities = ['cat01.png', 'cat02.png', 'dog01.png', 'dog02.png'], [0.9, 0.4, 0.1, 0.6]
    print_image_with_proba(_image_names, _probabilities)
