"""
An example to build a dictionary from the list of keys and the list of values
"""

import doctest
from typing import Dict, List


def construct_name_to_proba_dict(image_names: List[str], probabilities: List[float]) -> Dict[str, float]:
    """
    >>> image_names, probabilities = ['cat01.png', 'cat02.png', 'dog01.png', 'dog02.png'], [0.9, 0.4, 0.1, 0.6]
    >>> construct_name_to_proba_dict(image_names, probabilities) == {'cat01.png': 0.9, 'cat02.png': 0.4, 'dog01.png': 0.1, 'dog02.png': 0.6}
    True
    >>> construct_name_to_proba_dict([], [])
    {}
    """
    return {}


if __name__ == '__main__':
    print(doctest.testmod())
