"""
Here, we want to illustrate a more complex use of the post init function.

We want the Person dataclass to have 3 attribute: the name, last name, and age of the person
But we want to be able to give the birthday (we limit ourselves to the year), and the class should determine the age on its own.
"""
import doctest
from dataclasses import dataclass


@dataclass
class Person:
    """
    >>> anne = Person(name='Anne', last_name='Dupond', age=23)
    >>> anne
    Person(name='Anne', last_name='Dupond', age=23)
    >>> joer = Person(name='Joer', last_name='Dupont', birthday=1996)
    >>> joer
    Person(name='Joer', last_name='Dupont', age=23)
    >>> jean = Person(name='Jean', last_name='Pierre')
    >>> jean
    Person(name='Jean', last_name='Pierre', age=None)
    """
    # TODO
    pass


if __name__ == '__main__':
    print(doctest.testmod())
